import { ModelConstructor } from '../../../model/model-constructor';
/**
 * Makes sure the property will be marshalled to a S(et) type. The modelClass is required if the collection items
 * have some property decorators, so we can retrieve this information using the model class.
 */
export declare function TypedSet(modelClass?: ModelConstructor<any>): PropertyDecorator;
