import { QueryInput, ScanInput, UpdateItemInput } from 'aws-sdk/clients/dynamodb';
import { Expression } from './type/expression.type';
export declare class ParamUtil {
    static addUpdateExpression(updateExpression: Expression, params: UpdateItemInput): void;
    static addExpression(expressionType: 'ConditionExpression' | 'KeyConditionExpression' | 'FilterExpression' | 'UpdateExpression', condition: Expression, params: QueryInput | ScanInput | UpdateItemInput): void;
}
