import { UpdateExpressionDefinitionChain } from '../type/update-expression-definition-chain';
/**
 * Use this method when accesing a top level attribute of a model
 */
export declare function update<T>(attributePath: keyof T): UpdateExpressionDefinitionChain;
/**
 * Use this method when accessing a nested attribute of a model
 */
export declare function update(attributePath: string): UpdateExpressionDefinitionChain;
